org.codehaus.plexus.util.xml

## Class XmlStreamReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.codehaus.plexus.util.xml.XmlReaderException
        - - org.codehaus.plexus.util.xml.XmlStreamReaderException

All Implemented Interfaces:
  Serializable

    public class XmlStreamReaderException
    extends XmlReaderException

The XmlStreamReaderException is thrown by the XmlStreamReader constructors if the charset encoding can not be determined according to the XML 1.0 specification and RFC 3023.

The exception returns the unconsumed InputStream to allow the application to do an alternate processing with the stream. Note that the original InputStream given to the XmlStreamReader cannot be used as that one has been already read.

Version:
  revision 1.1 taken on 26/06/2007 from Rome (see https://rome.dev.java.net/source/browse/rome/src/java/com/sun/syndication/io/XmlReaderException.java)
Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XmlStreamReaderException(String msg, String bomEnc, String xmlGuessEnc, String xmlEnc, InputStream is)` Creates an exception instance if the charset encoding could not be determined.
`XmlStreamReaderException(String msg, String ctMime, String ctEnc, String bomEnc, String xmlGuessEnc, String xmlEnc, InputStream is)` Creates an exception instance if the charset encoding could not be determined.

### Method Summary

### Methods inherited from class org.codehaus.plexus.util.xml.XmlReaderException

`getBomEncoding, getContentTypeEncoding, getContentTypeMime, getInputStream, getXmlEncoding, getXmlGuessEncoding`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlStreamReaderException

    public XmlStreamReaderException(String msg,
                                    String bomEnc,
                                    String xmlGuessEnc,
                                    String xmlEnc,
                                    InputStream is)

Creates an exception instance if the charset encoding could not be determined.

Instances of this exception are thrown by the XmlReader.

Parameters:
  `msg` - message describing the reason for the exception.
  `bomEnc` - BOM encoding.
  `xmlGuessEnc` - XML guess encoding.
  `xmlEnc` - XML prolog encoding.
  `is` - the unconsumed InputStream.

#### XmlStreamReaderException

    public XmlStreamReaderException(String msg,
                                    String ctMime,
                                    String ctEnc,
                                    String bomEnc,
                                    String xmlGuessEnc,
                                    String xmlEnc,
                                    InputStream is)

Creates an exception instance if the charset encoding could not be determined.

Instances of this exception are thrown by the XmlReader.

Parameters:
  `msg` - message describing the reason for the exception.
  `ctMime` - MIME type in the content-type.
  `ctEnc` - encoding in the content-type.
  `bomEnc` - BOM encoding.
  `xmlGuessEnc` - XML guess encoding.
  `xmlEnc` - XML prolog encoding.
  `is` - the unconsumed InputStream.